### Method

# Tsparql SparqlStatement update

since: 3.5

#### Declaration [src]

    gboolean
    tracker_sparql_statement_update (
      TrackerSparqlStatement* stmt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Executes the `INSERT`/`DELETE` SPARQL query series with the currently bound values.

This function should only be called on `TrackerSparqlStatement` objects obtained through `tracker_sparql_connection_update_statement()` or `INSERT`/`DELETE` statements loaded through `tracker_sparql_connection_load_statement_from_gresource()`. An error will be raised if this method is called on `SELECT`/`ASK`/`DESCRIBE`/`CONSTRUCT` SPARQL queries.

Available since: 3.5

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the update finished with no errors, `FALSE` otherwise.